# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "system-harness"
version = "0.5.0"
authors = ["Jeff Caffrey-Hill <jeff@caffreyhill.com>"]
description = """
An system harness abstraction and configuration serialization 
provider for virtualization and emulation systems
"""
documentation = "https://docs.rs/system-harness"
readme = "README.md"
keywords = [
    "system",
    "harness",
    "qemu",
    "container",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/ReverentEngineer/system-harness"

[dependencies.cmdstruct]
version = "2.0.1"

[dependencies.log]
version = "0.4"

[dependencies.serde]
version = "1"
features = ["derive"]
optional = true

[dependencies.serde_json]
version = "1"
optional = true

[dependencies.system-harness-macros]
version = "0.4.0"

[dev-dependencies.mockall]
version = "0.12"

[dev-dependencies.serde_json]
version = "1"

[dev-dependencies.test-log]
version = "0.2"

[features]
container = [
    "serde_json",
    "serde",
]
default = [
    "qemu",
    "container",
]
qemu = [
    "serde_json",
    "serde",
]
